/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\TheLastBookOfArkkaza.cs
Lines of code: 41
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class TheLastBookOfArkkaza : Spellbook
	{
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}
		[Constructable]
		public TheLastBookOfArkkaza() : base()
		{
			Name = "The Last Book of Arkkaza";
			LootType = LootType.Blessed;
			Hue = 1284;
			Attributes.Luck = 125;
			Attributes.BonusMana = 22;
			Attributes.RegenMana = 4;
			Attributes.LowerManaCost = 15;
			Attributes.SpellDamage = 15;
		}

		public TheLastBookOfArkkaza( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int)0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			LootType = LootType.Blessed;
		}
	}
}